#!/bin/bash

if [ "x$SDCARD_WEBAPPS" = "x" ] ; then
  echo "Environment variable SDCARD_WEBAPPS undefined"
  echo "  => No valid directory to install to on Android device"
  echo "  => Did you run setup.bash before the Android device was in disk mode?"
  echo "  => Have you launched i-jetty at least once to create the 'jetty' directory on the sd-card?"
  echo "  => If all else fails, you can set the environment variable SDCARD_WEBAPPS explicitly"
  exit -1
fi


if [ ! -d $SDCARD_GSDL3HOME ] ; then
  # First time install has been run => do a full copy
  mode="Installing"

else
  # Only need to regenerate 'lib' folder
  mode="Updating"
fi
  echo "  => Have you launched i-jetty to create the 'jetty' directory on the sd-card?

echo "#---"
echo "# $mode $GSDL3HOME -> $SDCARD_GSDL3HOME"
echo "# (this may take several minutes)"
echo "#---"
echo ""

if [ $mode = "Installing" ] ; then
  (cd $GSDL3HOME && find . -type d ) \
    | egrep -v '/\.svn' \
    | egrep -v 'sites/' \
    | egrep -v 'WEB-INF/classes' \
    | egrep -v 'WEB-INF/lib' \
    | xargs -I {} mkdir -p $SDCARD_GSDL3HOME/{}
fi

(cd $GSDL3HOME && find . -type f ) \
  | egrep -v '/\.svn' \
  | egrep -v 'sites/' \
  | egrep -v 'WEB-INF/classes' \
  | egrep -v 'WEB-INF/lib' \
  | xargs -I {} /bin/cp -u -v $GSDL3HOME/{} $SDCARD_GSDL3HOME/{}

/bin/cp resources/index.html $SDCARD_GSDL3HOME/.
/bin/cp resources/web.xml $SDCARD_GSDL3HOME/WEB-INF/.

if [ ! -d $SDCARD_GSDL3HOME/sites/localsite ] ; then
  echo "Creating 'localsite' in $SDCARD_GSDLHOME"
  mkdir $SDCARD_GSDL3HOME/sites/localsite
  mkdir $SDCARD_GSDL3HOME/sites/localsite/collect
fi

/bin/cp -u -v $GSDL3HOME/sites/localsite/siteConfig.xml $SDCARD_GSDL3HOME/sites/localsite/.

/bin/cp -u -v -r $GSDL3HOME/sites/localsite/etc $SDCARD_GSDL3HOME/sites/localsite/.

/bin/cp -u -v -r $GSDL3HOME/sites/localsite/collect/lucene-jdbm-demo $SDCARD_GSDL3HOME/sites/localsite/collect/.

if [ ! -d $SDCARD_GSDL3HOME/sites/localsite/collect/lucene-jdbm-demo/index ] ; then
  pushd $SDCARD_GSDL3HOME/sites/localsite/collect/lucene-jdbm-demo
  unzip index.zip
  popd
fi

echo ""
echo "####"
echo "# If not already done so, run: "
echo "#   ./JAVA-TO-DEX.sh"
echo "# to cross-compile the Greenstone code and supporting JAR files"
echo "####"
echo ""



